com.pivotal.gemfirexd.internal.client.am

## Class FloatingPoint

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.FloatingPoint

    public class FloatingPoint
    extends Object

Converters from floating point bytes to Java `float`, `double`, or `java.math.BigDecimal`.

### Field Summary

Fields
`static int` `IEEE_754_FLOATING_POINT` Supported Unix Big Endian IEEE 754 floating point representation.

### Method Summary

Methods
`static void` `doubleToIeee754Bytes(byte[] buffer, int offset, double d)` Write a Java `double` to an 8-byte double precision floating point representation.
`static void` `floatToIeee754Bytes(byte[] buffer, int offset, float f)` Write a Java `float` to a 4-byte floating point representation.
`static double` `getDouble(byte[] buffer, int offset)` Build a Java double from an 8-byte floating point representation.
`static float` `getFloat(byte[] buffer, int offset)` Build a Java float from a 4-byte floating point representation.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IEEE_754_FLOATING_POINT

    public static final int IEEE_754_FLOATING_POINT

Supported Unix Big Endian IEEE 754 floating point representation.

See Also:
  Constant Field Values

### Method Detail

#### getFloat

    public static final float getFloat(byte[] buffer,
                 int offset)

Build a Java float from a 4-byte floating point representation.

This includes DERBY types:

- REAL
- FLOAT(1<=n<=24)

Throws:
  `IllegalArgumentException` - if the specified representation is not recognized.

#### getDouble

    public static final double getDouble(byte[] buffer,
                   int offset)

Build a Java double from an 8-byte floating point representation.

This includes DERBY types:

- FLOAT
- DOUBLE [PRECISION]

Throws:
  `IllegalArgumentException` - if the specified representation is not recognized.

#### floatToIeee754Bytes

    public static final void floatToIeee754Bytes(byte[] buffer,
                           int offset,
                           float f)

Write a Java `float` to a 4-byte floating point representation.

#### doubleToIeee754Bytes

    public static final void doubleToIeee754Bytes(byte[] buffer,
                            int offset,
                            double d)

Write a Java `double` to an 8-byte double precision floating point representation.